<?php

/**
 * The template for displaying 404 pages (not found)
 *
 * @package MagazineCraft
 */

get_header();
?>

<div class="container">
	<main id="primary" class="site-main py-12 min-h-[800px] flex items-center">

		<section class="error-404 not-found max-w-4xl mx-auto ">
			<header class="page-header text-center">
				<span class="text-slate-300 text-9xl font-bold mb-4">404</span>
				<h1 class="page-title"><?php esc_html_e('Oops! That page can&rsquo;t be found.', 'magazinecraft'); ?></h1>
			</header><!-- .page-header -->

			<div class="page-content">
				<p class="text-slate-500 mb-4 text-center"><?php esc_html_e('It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'magazinecraft'); ?></p>

				<div class="max-w-sm mx-auto mb-12">
					<?php get_search_form(); ?>
				</div>

				<?php the_widget('WP_Widget_Tag_Cloud'); ?>

			</div><!-- .page-content -->
		</section><!-- .error-404 -->

	</main><!-- #main -->
</div>

<?php
get_footer();
