<?php

/**
 * The template for displaying archive pages
 *
 * @package MagazineCraft
 */

get_header();
?>

<div class="container">
	<main id="primary" class="site-main py-12">

		<?php if (have_posts()) : ?>

			<header class="page-header mb-12 text-center max-w-3xl m-auto">
				<?php
				if (is_category()) {
				?>
					<h1 class="page-title cat-title"><?php single_cat_title(); ?></h1>
				<?php
				} elseif (is_tag()) {
				?>
					<h1 class="page-title tag-title"><?php single_tag_title(); ?></h1>
				<?php
				} elseif (is_author()) {
				?>
					<h1 class="page-title tag-title"><?php the_author(); ?></h1>
				<?php
				} else {
					the_archive_title('<h1 class="page-title">', '</h1>');
				}
				the_archive_description('<div class="archive-description text-slate-500 text-lg">', '</div>');
				?>
			</header><!-- .page-header -->

			<div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-6 md:gap-8 lg:gap-12">
				<?php
				/* Start the Loop */
				while (have_posts()) :
					the_post();
					get_template_part('template-parts/content', get_post_type());

				endwhile;
				?>
			</div>

		<?php
			get_template_part('template-parts/navigation', 'none');

		else :

			get_template_part('template-parts/content', 'none');

		endif;
		?>

	</main><!-- #main -->
</div>

<?php
get_sidebar();
get_footer();
