<?php

/**
 * The header for our theme
 *
 * @package MagazineCraft
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php wp_body_open(); ?>
	<div id="page" class="site bg-white <?php if (get_theme_mod('magazinecraft_site_layout', 'boxed') === 'boxed') : echo 'lg:mx-8 lg:shadow-lg';
										endif; ?>">
		<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e('Skip to content', 'magazinecraft'); ?></a>

		<?php do_action('magazinecraft_before_header'); ?>

		<?php
		if (get_theme_mod('magazinecraft_main_header_design', 'design1') === 'design1') {
			magazinecraft_display_main_header_design_1();
		} elseif (get_theme_mod('magazinecraft_main_header_design', 'design1') === 'design2') {
			magazinecraft_display_main_header_design_2();
		}
		?>

		<?php do_action('magazinecraft_after_header'); ?>