<?php

/**
 * Custom functions for our theme
 *
 * @package MagazineCraft
 */

if (!function_exists('magazinecraft_display_banner_section')) :
    function magazinecraft_display_banner_section()
    {
?>
        <div class="banner-section">
            <?php if (get_theme_mod('magazinecraft_banner_design', 'design2') === 'design1') : ?>
                <div class="site-cover" <?php if (get_theme_mod('magazinecraft_banner1_bg_img')) : ?> style="background-image: url('<?php echo esc_url(get_theme_mod('magazinecraft_banner1_bg_img')); ?>');" <?php endif; ?>>
                    <div class="cover-overlay"></div>
                    <div class="cover-content">
                        <h1 class="cover-title">
                            <?php echo esc_html(get_theme_mod('magazinecraft_banner1_title')); ?>
                        </h1>
                        <p class="cover-desc">
                            <?php echo esc_html(get_theme_mod('magazinecraft_banner1_desc')); ?>
                        </p>
                        <a href="<?php echo esc_url(get_theme_mod('magazinecraft_banner1_button_link')); ?>" class="cover-button"><?php echo esc_html(get_theme_mod('magazinecraft_banner1_button_text')); ?></a>
                    </div>
                </div>
            <?php endif; ?>

            <?php if (get_theme_mod('magazinecraft_banner_design', 'design2') === 'design2') : ?>
                <?php
                $magazinecraft_banner_posts_cat = get_theme_mod('magazinecraft_banner2_category', 0);
                $magazinecraft_get_banner_posts = new WP_Query(
                    array(
                        'posts_per_page'      => 5,
                        'post_type'           => 'post',
                        'ignore_sticky_posts' => true,
                        'post_status'         => 'publish',
                        'cat'                 => $magazinecraft_banner_posts_cat,
                    )
                );

                if ($magazinecraft_get_banner_posts->have_posts()) {
                ?>
                    <div class="container">
                        <div class="site-banner-grid">
                            <?php
                            $mc_is_first = true;
                            while ($magazinecraft_get_banner_posts->have_posts()) :
                                $magazinecraft_get_banner_posts->the_post();
                                if ($mc_is_first) {
                            ?>
                                    <?php if (has_post_thumbnail()) : ?>
                                        <div class="site-banner-first-cell" style="background-image: url('<?php the_post_thumbnail_url('magazinecraft-featured-image-medium') ?>');">
                                            <div class="cover-overlay"></div>
                                        <?php else : ?>
                                            <div class="site-banner-first-cell">
                                            <?php endif; ?>
                                            <div class="site-banner-cell-content">
                                                <a href="<?php the_permalink(); ?>" class="">
                                                    <h3 class="banner-post-title"><?php the_title(); ?></h3>
                                                </a>
                                                <div class="banner-post-excerpt">
                                                    <?php the_excerpt(); ?>
                                                </div>
                                            </div>
                                            <a href="<?php the_permalink(); ?>" class="site-banner-link" tabindex="-1"></a>
                                            </div>
                                        <?php
                                    } else {
                                        ?>
                                            <?php if (has_post_thumbnail()) : ?>
                                                <div class="site-banner-cell" style="background-image: url('<?php the_post_thumbnail_url('magazinecraft-featured-image-small') ?>');">
                                                    <div class="cover-overlay"></div>
                                                <?php else : ?>
                                                    <div class="site-banner-cell">
                                                    <?php endif; ?>

                                                    <div class="site-banner-cell-content">
                                                        <a href="<?php the_permalink(); ?>" class="">
                                                            <h3 class="banner-post-title"><?php the_title(); ?></h3>
                                                        </a>
                                                    </div>
                                                    <a href="<?php the_permalink(); ?>" class="site-banner-link" tabindex="-1"></a>
                                                    </div>
                                            <?php
                                        }
                                        $mc_is_first = false;
                                    endwhile;
                                            ?>
                                                </div>
                                        </div>
                                <?php
                            }
                        endif; ?>
                        </div>
                <?php
            }
        endif;
