<?php

/**
 * MagazineCraft Theme Customizer - Design options
 *
 * @package MagazineCraft
 */

// Add Design Options panel.
$wp_customize->add_panel(
    'magazinecraft_design_options',
    array(
        'capability' => 'edit_theme_options',
        'description' => __('Change the Design Settings', 'magazinecraft'),
        'priority' => 504,
        'title' => __('Design Options', 'magazinecraft'),
    )
);

// Add site layout section.
$wp_customize->add_section(
    'magazinecraft_site_layout_section',
    array(
        'title' => __('Site Layout', 'magazinecraft'),
        'panel' => 'magazinecraft_design_options',
    )
);

$wp_customize->add_setting(
    'magazinecraft_site_layout',
    array(
        'default'           => 'boxed',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'magazinecraft_sanitize_radio',
    )
);
$wp_customize->add_control(
    'magazinecraft_site_layout',
    array(
        'type'     => 'radio',
        'label'    => esc_html__('Site Layout:', 'magazinecraft'),
        'section'  => 'magazinecraft_site_layout_section',
        'settings' => 'magazinecraft_site_layout',
        'choices'  => array(
            'wide'  => esc_html__('Wide Layout', 'magazinecraft'),
            'boxed' => esc_html__('Boxed Layout', 'magazinecraft'),
        ),
    )
);



// Add font section.
$wp_customize->add_section(
    'magazinecraft_fonts_section',
    array(
        'title' => __('Font Options', 'magazinecraft'),
        'panel' => 'magazinecraft_design_options',
    )
);

$wp_customize->add_setting(
    'magazinecraft_font_combo',
    array(
        'default'           => 'default',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'magazinecraft_sanitize_radio',
    )
);
$wp_customize->add_control(
    'magazinecraft_font_combo',
    array(
        'type'     => 'radio',
        'label'    => esc_html__('Select Font Option:', 'magazinecraft'),
        'section'  => 'magazinecraft_fonts_section',
        'settings' => 'magazinecraft_font_combo',
        'choices'  => array(
            'default' => esc_html__('Default', 'magazinecraft'),
            'option1' => esc_html__('Option 1', 'magazinecraft'),
            'option2' => esc_html__('Option 2', 'magazinecraft'),
            'option3' => esc_html__('Option 3', 'magazinecraft'),
        ),
    )
);
