<?php

/**
 * MagazineCraft Theme Customizer - Footer options
 *
 * @package MagazineCraft
 */

// Add Footer Options panel.
$wp_customize->add_panel(
    'magazinecraft_footer_options',
    array(
        'capability'  => 'edit_theme_options',
        'description' => __('Change the Footer Settings', 'magazinecraft'),
        'priority'    => 502,
        'title'       => __('Footer Options', 'magazinecraft'),
    )
);

// Add main header design section.
$wp_customize->add_section(
    'magazinecraft_main_footer_section',
    array(
        'title' => __('Main Footer Area Options', 'magazinecraft'),
        'panel' => 'magazinecraft_footer_options',
    )
);

$wp_customize->add_setting(
    'magazinecraft_main_footer_design',
    array(
        'default'           => 'design1',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'magazinecraft_sanitize_radio',
    )
);
$wp_customize->add_control(
    'magazinecraft_main_footer_design',
    array(
        'type'     => 'radio',
        'label'    => esc_html__('Main Footer Design:', 'magazinecraft'),
        'section'  => 'magazinecraft_main_footer_section',
        'settings' => 'magazinecraft_main_footer_design',
        'choices'  => array(
            'design1' => esc_html__('Type 1', 'magazinecraft'),
            'design2' => esc_html__('Type 2', 'magazinecraft'),
        ),
    )
);

$wp_customize->add_setting(
    'magazinecraft_main_footer_right',
    array(
        'default'           => 'social',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'magazinecraft_sanitize_radio',
    )
);
$wp_customize->add_control(
    'magazinecraft_main_footer_right',
    array(
        'type'            => 'radio',
        'label'           => esc_html__('Footer Right Side:', 'magazinecraft'),
        'section'         => 'magazinecraft_main_footer_section',
        'settings'        => 'magazinecraft_main_footer_right',
        'active_callback' => function () {
            if (get_theme_mod('magazinecraft_main_footer_design', 'design1') === 'design2') {
                return true;
            }
            return false;
        },
        'choices'         => array(
            'social' => esc_html__('Social Media Links', 'magazinecraft'),
            'text'   => esc_html__('Text', 'magazinecraft'),
        ),
    )
);

$wp_customize->add_setting(
    'magazinecraft_main_footer_right_text',
    array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'magazinecraft_main_footer_right_text',
    array(
        'type'            => 'text',
        'label'           => esc_html__('Footer Right Text:', 'magazinecraft'),
        'section'         => 'magazinecraft_main_footer_section',
        'settings'        => 'magazinecraft_main_footer_right_text',
        'active_callback' => function () {
            if (get_theme_mod('magazinecraft_main_footer_design', 'design1') === 'design2' && get_theme_mod('magazinecraft_main_footer_right', 'social') === 'text') {
                return true;
            }
            return false;
        },
    )
);
