<?php

/**
 * Functions which enhance the theme footer
 *
 * @package MagazineCraft
 */

/**
 * Display footer design 1.
 *
 * @return void
 */
function magazinecraft_display_main_footer_design_1()
{
?>
    <div class="container text-center">
        <div class="site-info">
            <span>
                <?php esc_html_e('Powered By: ', 'magazinecraft'); ?>
                <a href="<?php echo esc_url(__('https://wordpress.org/', 'magazinecraft')); ?>" target="_blank"><?php esc_html_e('WordPress', 'magazinecraft'); ?></a>
            </span>
            <span class="sep"> | </span>
            <span>
                <?php esc_html_e('Theme: ', 'magazinecraft'); ?>
                <a href="<?php echo esc_url(__('https://odiethemes.com/themes/magazinecraft/', 'magazinecraft')); ?>" target="_blank"><?php esc_html_e('MagazineCraft', 'magazinecraft'); ?></a>
                <?php esc_html_e(' By OdieThemes', 'magazinecraft'); ?>
            </span>
        </div><!-- .site-info -->
    </div>
<?php
}

/**
 * Display footer design 2.
 *
 * @return void
 */
function magazinecraft_display_main_footer_design_2()
{
?>
    <div class="container grid grid-cols-1 md:grid-cols-2 gap-6">
        <div class="">
            <div class="site-info">
                <span>
                    <?php esc_html_e('Powered By: ', 'magazinecraft'); ?>
                    <a href="<?php echo esc_url(__('https://wordpress.org/', 'magazinecraft')); ?>" target="_blank"><?php esc_html_e('WordPress', 'magazinecraft'); ?></a>
                </span>
                <span class="sep"> | </span>
                <span>
                    <?php esc_html_e('Theme: ', 'magazinecraft'); ?>
                    <a href="<?php echo esc_url(__('https://odiethemes.com/themes/magazinecraft/', 'magazinecraft')); ?>" target="_blank"><?php esc_html_e('MagazineCraft', 'magazinecraft'); ?></a>
                    <?php esc_html_e(' By OdieThemes', 'magazinecraft'); ?>
                </span>
            </div><!-- .site-info -->
        </div>

        <div class="">
            <div class="site-info text-right">
                <div class="flex space-x-5 md:justify-end">
                    <?php
                    if (get_theme_mod('magazinecraft_main_footer_right', 'social') === 'social') :
                        magazinecraft_display_social_links();
                    else :
                        echo esc_html(get_theme_mod('magazinecraft_main_footer_right_text'));
                    endif;
                    ?>
                </div>

            </div>
        </div>
    </div>
<?php
}
