<?php

/**
 * The main template file
 *
 * @package MagazineCraft
 */

get_header();
?>

<?php
$magazinecraft_paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

if (get_theme_mod('magazinecraft_show_banner_section', true) && 1 === $magazinecraft_paged) {
	magazinecraft_display_banner_section();
}
?>

<div class="container">
	<main id="primary" class="site-main py-12">

		<?php
		if (have_posts()) :
			if (is_home() && !is_front_page()) :
		?>
				<header>
					<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
				</header>
			<?php
			endif;
			?>

			<div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-6 md:gap-8 lg:gap-12">
				<?php
				/* Start the Loop */
				while (have_posts()) :
					the_post();
					get_template_part('template-parts/content', get_post_type());

				endwhile;
				?>
			</div>

		<?php
			get_template_part('template-parts/navigation', 'none');
		else :
			get_template_part('template-parts/content', 'none');
		endif;
		?>

	</main><!-- #main -->
</div>

<?php
get_sidebar();
get_footer();
