<?php

/**
 * The template for displaying search results pages
 *
 * @package MagazineCraft
 */

get_header();
?>

<div class="container">
	<main id="primary" class="site-main py-12">

		<?php if (have_posts()) : ?>

			<header class="page-header  mb-12 text-center max-w-3xl m-auto">
				<h1 class="page-title">
					<?php
					/* translators: %s: search query. */
					printf(esc_html__('Search Results for: %s', 'magazinecraft'), '<span>' . get_search_query() . '</span>');
					?>
				</h1>
			</header><!-- .page-header -->

			<div class="grid grid-cols-1 md:grid-cols-2 gap-6 md:gap-8 lg:gap-12">
				<?php
				/* Start the Loop */
				while (have_posts()) :
					the_post();

					get_template_part('template-parts/content', 'search');

				endwhile;
				?>
			</div>

		<?php

			get_template_part('template-parts/navigation', 'none');

		else :

			get_template_part('template-parts/content', 'none');

		endif;
		?>

	</main><!-- #main -->
</div>
<?php
get_sidebar();
get_footer();
