<?php

/**
 * Template part for displaying posts
 *
 * @package MagazineCraft
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <header class="entry-header max-w-4xl m-auto text-center">

        <?php if (!get_theme_mod('magazinecraft_show_meta_bottom', false)) : ?>
            <div class="entry-meta">
                <?php
                magazinecraft_cats_list();
                magazinecraft_posted_on();
                magazinecraft_posted_by();
                ?>
            </div><!-- .entry-meta -->
        <?php endif; ?>

        <?php
        if (is_singular()) :
            the_title('<h1 class="entry-title">', '</h1>');
        else :
            the_title('<h2 class="entry-title"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h2>');
        endif;
        ?>
    </header><!-- .entry-header -->

    <?php magazinecraft_post_thumbnail(); ?>

    <div class="max-w-4xl m-auto mb-12">
        <div class="entry-content prose lg:prose-lg max-w-none prose-slate prose-a:text-slate-900 hover:prose-a:text-slate-500">
            <?php
            the_content(
                sprintf(
                    wp_kses(
                        /* translators: %s: Name of current post. Only visible to screen readers */
                        __('Continue reading<span class="screen-reader-text"> "%s"</span>', 'magazinecraft'),
                        array(
                            'span' => array(
                                'class' => array(),
                            ),
                        )
                    ),
                    wp_kses_post(get_the_title())
                )
            );

            wp_link_pages(
                array(
                    'before' => '<div class="page-links">' . esc_html__('Pages:', 'magazinecraft'),
                    'after'  => '</div>',
                )
            );
            ?>
        </div><!-- .entry-content -->
    </div>

    <div class="clear-both"></div>

    <?php if (get_theme_mod('magazinecraft_show_meta_bottom', false)) : ?>
        <div class="entry-meta">
            <?php
            magazinecraft_cats_list();
            magazinecraft_posted_on();
            magazinecraft_posted_by();
            ?>
        </div><!-- .entry-meta -->
    <?php endif; ?>
</article><!-- #post-<?php the_ID(); ?> -->